Employees

List of employee positions

GET
/api/public/v2/employees/{employee_id}/positions

Path Parameters

employee_id*integer
Formatint64

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v2/employees/0/positions"
{  "data": [    {      "id": 0,      "effective_on": "2019-08-24",      "position": {        "id": 0,        "name": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "location": {        "id": 0,        "name": "string",        "address": "string",        "time_zone": "string",        "holiday_policy_id": 0,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "division": {        "id": 0,        "name": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "department": {        "id": 0,        "name": "string",        "parent_id": 0,        "manager_id": 0,        "department_level": {          "id": 0,          "name": "string",          "hex_color": "string"        },        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "fields": {          "property1": {            "name": "string",            "value": "string"          },          "property2": {            "name": "string",            "value": "string"          }        }      },      "job_level": {        "id": 0,        "name": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "reporting_to": {        "id": 0,        "first_name": "string",        "last_name": "string",        "email": "string"      },      "legal_entity": {        "id": 0,        "name": "string"      },      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}